## org.freedesktop.ModemManager1

org.freedesktop.ModemManager1 — The ModemManager Manager interface.

## Methods

    ScanDevices       ();
    SetLogging        (IN  s     level);
    ReportKernelEvent (IN  a{sv} properties);
    InhibitDevice     (IN  s     uid,
                       IN  b     inhibit);

## Properties

    Version  readable   s

## Description

The Manager interface allows controlling and querying the status of the ModemManager daemon.

## Method Details

### The `ScanDevices()` method

    ScanDevices ();

Start a new scan for connected modem devices.

Since: 1.0

### The `SetLogging()` method

    SetLogging (IN  s level);

`"MSG"` (since 1.22), `"INFO"`, `"DEBUG"`.

Set logging verbosity.

Since: 1.0

`IN s `level``: | One of `"ERR"`, `"WARN"`,

### The `ReportKernelEvent()` method

    ReportKernelEvent (IN  a{sv} properties);

Reports a kernel event to ModemManager.

This method is only available if udev is not being used to report kernel events.

The `properties` dictionary is composed of key/value string pairs. The possible keys are:

`action`

The type of action, given as a string value (signature `"s"`). This parameter is MANDATORY.

`add` | A new kernel device has been added.
`remove` | An existing kernel device has been removed.

`name` | The device name, given as a string value (signature `"s"`). This parameter is MANDATORY.
`subsystem` | The device subsystem, given as a string value (signature `"s"`). This parameter is MANDATORY.
`uid` | The unique ID of the physical device, given as a string value (signature `"s"`). This parameter is OPTIONAL, if not given the sysfs path of the physical device will be used. This parameter must be the same for all devices exposed by the same physical device.

Since: 1.8

`IN a{sv} `properties``: | event properties.

### The `InhibitDevice()` method

    InhibitDevice (IN  s uid,
                   IN  b inhibit);

org.freedesktop.ModemManager1.Modem:Device property. `inhibit`: `TRUE` to inhibit the modem and `FALSE` to uninhibit it.

Inhibit or uninhibit the device.

When the modem is inhibited ModemManager will close all its ports and unexport it from the bus, so that users of the interface are no longer able to operate with it.

This operation binds the inhibition request to the existence of the caller in the DBus bus. If the caller disappears from the bus, the inhibition will automatically removed.

Since: 1.10

`IN s `uid``: | the unique ID of the physical device, given in the
`IN b `inhibit``: |

## Property Details

### The "Version" property

    Version  readable   s

The runtime version of the ModemManager daemon.

Since: 1.10